## org.eclipse.amp.amf.testing.ares.impl
Class ConstraintTestImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.amp.amf.testing.ares.impl.ConstraintTestImpl

All Implemented Interfaces:
  ConstraintTest, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

    public class ConstraintTestImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements ConstraintTest

An implementation of the model object 'Constraint Test'.

The following features are implemented:

- `Constraint`
- `Issue`
- `Actual Value`
- `Failure`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`Constraint` `basicGetConstraint()`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`double` `getActualValue()`
`Constraint` `getConstraint()`
`Issue` `getIssue()`
`boolean` `isFailure()`
`void` `setActualValue(double newActualValue)`
`void` `setConstraint(Constraint newConstraint)`
`void` `setIssue(Issue newIssue)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getConstraint

    public Constraint getConstraint()

  Specified by:
    `getConstraint` in interface `ConstraintTest`
  Returns:
    the value of the 'Constraint' reference.
  See Also:
    `ConstraintTest.setConstraint(Constraint)`, `AresPackage.getConstraintTest_Constraint()`

### basicGetConstraint

    public Constraint basicGetConstraint()

### setConstraint

    public void setConstraint(Constraint newConstraint)

  Specified by:
    `setConstraint` in interface `ConstraintTest`
  Parameters:
    `newConstraint` - the new value of the 'Constraint' reference.
  See Also:
    `ConstraintTest.getConstraint()`

### getIssue

    public Issue getIssue()

  Specified by:
    `getIssue` in interface `ConstraintTest`
  Returns:
    the value of the 'Issue' attribute.
  See Also:
    `Issue`, `ConstraintTest.setIssue(Issue)`, `AresPackage.getConstraintTest_Issue()`

### setIssue

    public void setIssue(Issue newIssue)

  Specified by:
    `setIssue` in interface `ConstraintTest`
  Parameters:
    `newIssue` - the new value of the 'Issue' attribute.
  See Also:
    `Issue`, `ConstraintTest.getIssue()`

### getActualValue

    public double getActualValue()

  Specified by:
    `getActualValue` in interface `ConstraintTest`
  Returns:
    the value of the 'Actual Value' attribute.
  See Also:
    `ConstraintTest.setActualValue(double)`, `AresPackage.getConstraintTest_ActualValue()`

### setActualValue

    public void setActualValue(double newActualValue)

  Specified by:
    `setActualValue` in interface `ConstraintTest`
  Parameters:
    `newActualValue` - the new value of the 'Actual Value' attribute.
  See Also:
    `ConstraintTest.getActualValue()`

### isFailure

    public boolean isFailure()

  Specified by:
    `isFailure` in interface `ConstraintTest`
  Returns:
    the value of the 'Failure' attribute.
  See Also:
    `AresPackage.getConstraintTest_Failure()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`